from .InstanceKey import InstanceKey

class InstanceReference:

	def __init__(self, dbid, inst_key : InstanceKey, global_id):
		self.dbid = dbid
		self.inst_key = inst_key
		self.global_id = global_id

	def get_dbid(self):
		return self.dbid
	
	def get_instance_key(self) -> InstanceKey:
		return self.inst_key
	
	def get_global_identifier(self):
		return self.global_id.lower()
	
	def __str__(self):
		return str(self.inst_key) + ' ' + self.global_id